Skip to main content
POST
/
v1
/
admin
/
cruises
/
prices
Create price
curl --request POST \
  --url https://{operatorDomain}/v1/admin/cruises/prices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "crpr_01h...",
  "sailingKey": "<string>",
  "cabinCategoryId": "<string>",
  "amount": 123,
  "currency": "EUR"
}
'
{
  "id": "crpr_01h...",
  "sailingKey": "<string>",
  "cabinCategoryId": "<string>",
  "amount": 123,
  "currency": "EUR"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
id
string
Example:

"crpr_01h..."

sailingKey
string
cabinCategoryId
string | null
amount
integer

Minor units

currency
string
Example:

"EUR"

Response

201 - application/json

Created price

id
string
Example:

"crpr_01h..."

sailingKey
string
cabinCategoryId
string | null
amount
integer

Minor units

currency
string
Example:

"EUR"